Skip to main content
A set of endpoints used to manage items within a Box Hub.

Box Hub Item

A Box Hub Item is a Box Item that is referenced in a Box Hub.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this item.
typeenum<string>YesThe type of the item. Available options: file, folder, web_link.
namestringYesThe name of the item.
Example
{
  "id": "12345678",
  "type": "file",
  "name": "My File"
}

Box Hub Items

A list of Box Hub items.
PropertyTypeRequiredDescription
entriesarray of Box Hub ItemNoA list of Box Hub items.
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
Example
{
  "entries": [
    {
      "id": "12345678",
      "type": "file",
      "name": "My File"
    }
  ],
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
}

Box Hub Items Manage Response

Response schema for the status of Box Hub items management operations.
PropertyTypeRequiredDescription
operationsarray of Box Hub Item Operation ResultYesList of operations performed on Box Hub items.
Example
{
  "operations": [
    {
      "action": "add",
      "item": {
        "type": "file",
        "id": "42037322"
      },
      "parent_id": "721d97d7-ac8a-4e5e-adb6-ef11af4e6d9e",
      "status": 200,
      "error": "Item not found"
    }
  ]
}
Last modified on July 9, 2026